<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.crm.manager.dao.mapper.SysInterestLoginDayNumberMapper">
    <select id="countList" resultType="integer"
            parameterType="com.crm.rely.backend.core.entity.system.interest.SysInterestLoginDayNumberSearchEntity">
        select count(1) from sys_interest_login_day_number
        <where>
            <if test="login!=null">
                and `login` = #{login}
            </if>
        </where>
    </select>

    <select id="pageList" resultType="com.crm.rely.backend.core.pojo.table.SysInterestLoginDayNumberTable"
            parameterType="com.crm.rely.backend.core.entity.system.interest.SysInterestLoginDayNumberSearchEntity">
        select * from sys_interest_login_day_number
        <where>

            <if test="login!=null">
                and `login` = #{login}
            </if>

        </where>
        order by id desc
        limit #{page.offset},#{page.row}
    </select>

</mapper>